events.listen("recipes", function (e) {
  function ThermaligneousExtruder(liquide, bloc, sortie) {
    e.custom({
      type: "thermal:rock_gen",
      //item coter droite
      adjacent: liquide,
      //bloc dessous
      below: bloc,
      result: { item: sortie },
    });
  }

  ThermaligneousExtruder(
    "minecraft:water",
    "minecraft:granite",
    "minecraft:granite"
  );
  ThermaligneousExtruder(
    "minecraft:water",
    "minecraft:diorite",
    "minecraft:diorite"
  );
  ThermaligneousExtruder(
    "minecraft:water",
    "minecraft:andesite",
    "minecraft:andesite"
  );
  ThermaligneousExtruder(
    "minecraft:water",
    "minecraft:obsidian",
    "minecraft:obsidian"
  );
  ThermaligneousExtruder(
    "minecraft:water",
    "exnihilosequentia:dust",
    "exnihilosequentia:dust"
  );
  ThermaligneousExtruder(
    "minecraft:water",
    "minecraft:netherrack",
    "minecraft:netherrack"
  );
  ThermaligneousExtruder("minecraft:water", "minecraft:clay", "minecraft:clay");
  ThermaligneousExtruder(
    "minecraft:water",
    "minecraft:coal_block",
    "minecraft:coal_block"
  );
  ThermaligneousExtruder(
    "minecraft:water",
    "minecraft:gravel",
    "minecraft:gravel"
  );
  ThermaligneousExtruder(
      "minecraft:water",
       "minecraft:sand",
        "minecraft:sand");
        
  ThermaligneousExtruder(
    "minecraft:water",
    "minecraft:snow_block",
    "minecraft:snow_block"
  );
  ThermaligneousExtruder(
    "minecraft:water",
    "minecraft:end_stone",
    "minecraft:end_stone"
  );
});
